Loading...
Searching...
No Matches
RDKit::MolStandardize::CompositeValidation Class Reference

The CompositeValidation class provides a simple way to apply a collection of. More...

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::CompositeValidation:

## Public Member Functions

| CompositeValidation (const std::vector< std::shared_ptr< ValidationMethod > > &validations)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override
std::shared_ptr< ValidationMethod > | copy () const override
Public Member Functions inherited from RDKit::MolStandardize::ValidationMethod
| ValidationMethod ()=default
virtual | ~ValidationMethod ()=default

## Detailed Description

The CompositeValidation class provides a simple way to apply a collection of.

Definition at line 54 of file Validate.h.

## Constructor & Destructor Documentation

## CompositeValidation()

RDKit::MolStandardize::CompositeValidation::CompositeValidation | ( | const std::vector< std::shared_ptr< ValidationMethod > > & | validations | ) |

inline

Definition at line 57 of file Validate.h.

## Member Function Documentation

## copy()

std::shared_ptr< ValidationMethod > RDKit::MolStandardize::CompositeValidation::copy | ( |  | ) | const

inline override virtual

Implements RDKit::MolStandardize::ValidationMethod.

Reimplemented in RDKit::MolStandardize::MolVSValidation.

Definition at line 64 of file Validate.h.

## validate()

std::vector< ValidationErrorInfo > RDKit::MolStandardize::CompositeValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures ) const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

The documentation for this class was generated from the following file:

- Validate.h